Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
vodoifx

Xem Giúp Em Lisp Đánh Số Trang Bản Vẽ Sai Chỗ Nào Với Ạ.

Các bài được khuyến nghị

vodoifx    1

(defun C:DS1()
(setq lay (getvar "clayer"))
(command "layer" "new" "9.Thai" "c" "9" "9.Thai" "")
(command "layer" "S" "9.Thai" "")
(command "style" "Thuong.Thai" ".VnArial Narrow" "" "" "" "" "" "")
;(setq Truoc (getstring "\nNhap vao nhung ki tu dung Truoc so trang: "))
;(if (or (= Truoc nil) (= Truoc "")) (setq Truoc ""))
(setq n (getint "\nTong So Trang <10>: ")) ;Tong So Trang
(if (or (= n nil) (= n "")) (setq n 10))
(setq BD (getint "\nSo thu tu cua Trang Bat dau <1>: ")) ;So thu tu cua Trang Bat dau
(if (or (= BD nil) (= BD "")) (setq BD 1))
(setq Sau (getstring "\nNhap vao nhung ki tu dung Sau so trang: ")) ;Nhap vao nhung ki tu dung Sau so trang
(if (or (= Sau nil) (= Sau "")) (setq Sau ""))
(setq BN 1)
(Setq kc (getdist "\nNhap khoang cach giua cac trang <78.4>: ") )
(if (or (= kc nil) (= kc "")) (setq kc 78.4))
(Setq CaoChu (getdist "\nNhap chieu cao chu <0.4>: ") )
(if (or (= CaoChu nil) (= CaoChu "")) (setq CaoChu 0.4))
(setq G1 (Getpoint "\nChon Diem Bat dau Danh so Trang: "))
(setq oslast (getvar "OSMODE")) ; Lay thiet lap Osnap hien tai
(command "osnap" "") ;(command "osnap" "non")
;(Prompt "\nCad se tu dong chon Layer va Text Style hien thoi <Current>!!!")
(setq x (Car G1))
(setq y (Cadr G1))
(setq i 0)
(setq phuong (getstring " Phuong ngang X , Phuong doc Y <Y>: "))
( if ( = "x" phuong)
(progn
(repeat n
(setq ThuTu (itoa BD))
(setq Diem (list x y))
(setq NoiDung (strcat ThuTu Sau))
;(setq NoiDung (strcat Truoc ThuTu Sau))
(command "text" "s" "" "J" "M" Diem CaoChu "0" NoiDung "")
(setq y (- y kc))
(setq BD (+ BD BN))
)))
( if (( = phuong "y" ) or ( = phuong nil))
(progn
(repeat n
(setq ThuTu (itoa BD))
(setq Diem (list x y))
(setq NoiDung (strcat ThuTu Sau))
;(setq NoiDung (strcat Truoc ThuTu Sau))
(command "text" "s" "" "J" "M" Diem CaoChu "0" NoiDung "")
(setq x (+ x kc))
(setq BD (+ BD BN))
)))
(command "setvar" "OSMODE" oslast) ; Tra ve Thiet lap Osnap Ban dau ;(command "osnap" "endpoint")
(command "setvar" "clayer" lay)
(princ)
);

Đến If là nó báo lỗi. em tìm mãi ứ ra. ai giúp em với ạ

 

(setq phuong (getstring " Phuong ngang X , Phuong doc Y <Y>: "))

( if ( = "x" phuong)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×